Create Password V2 Using POST

Create Password V2 Using POST

Creates a new Password in a password Store

Request
URI
POST
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/locker/api/v2/passwords
COPY
Request Body
PasswordRequestResponseDTO of type(s) application/json
Optional
{
    "alias": "string",
    "createdOn": 0,
    "lastUpdatedOn": 0,
    "password": "string",
    "passwordDescription": "string",
    "principal": "string",
    "referenced": false,
    "transactionId": "string",
    "userName": "string",
    "vmid": "string"
}
string
alias
Optional

alias

integer As int64 As int64
createdOn
Optional

createdOn

integer As int64 As int64
lastUpdatedOn
Optional

lastUpdatedOn

string
password
Optional

password

string
passwordDescription
Optional

passwordDescription

string
principal
Optional

principal

boolean
referenced
Optional

referenced

string
transactionId
Optional

transactionId

string
userName
Optional

userName

string
vmid
Optional

vmid

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Operation doesn't return any data structure

201

Created

Returns PasswordRequestResponseDTO of type(s) */*
{
    "alias": "string",
    "createdOn": 0,
    "lastUpdatedOn": 0,
    "password": "string",
    "passwordDescription": "string",
    "principal": "string",
    "referenced": false,
    "transactionId": "string",
    "userName": "string",
    "vmid": "string"
}
string
alias
Optional

alias

integer As int64 As int64
createdOn
Optional

createdOn

integer As int64 As int64
lastUpdatedOn
Optional

lastUpdatedOn

string
password
Optional

password

string
passwordDescription
Optional

passwordDescription

string
principal
Optional

principal

boolean
referenced
Optional

referenced

string
transactionId
Optional

transactionId

string
userName
Optional

userName

string
vmid
Optional

vmid


400

Bad Request

Returns GenericErrorResponseDTO of type(s) */*
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

409

Conflict

Returns GenericErrorResponseDTO of type(s) */*
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


500

Internal Server Error

Returns GenericErrorResponseDTO of type(s) */*
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status